import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.create({
strategy: "oidc",
options: {
type: "front_channel",
client_id: "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
client_secret: "KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp",
discovery_url: "https://{yourDomain}/.well-known/openid-configuration",
},
name: "oidcIdp",
domains: [
"mydomain.com",
],
display_name: "OIDC IdP",
show_as_button: true,
assign_membership_on_login: false,
is_enabled: true,
});
}
main();import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.create({
strategy: "oidc",
options: {
type: "front_channel",
client_id: "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
client_secret: "KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp",
discovery_url: "https://{yourDomain}/.well-known/openid-configuration",
},
name: "oidcIdp",
domains: [
"mydomain.com",
],
display_name: "OIDC IdP",
show_as_button: true,
assign_membership_on_login: false,
is_enabled: true,
});
}
main();
package example
import (
context "context"
myorganization "github.com/auth0/myorganization-go/v2"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &myorganization.IdpKnownRequest{
IdpOidcRequest: &myorganization.IdpOidcRequest{
Strategy: myorganization.IdpOidcRequestStrategyOidc,
Options: &myorganization.IdpOidcOptionsRequest{
Type: myorganization.IdpOidcOptionsTypeEnumFrontChannel,
ClientID: "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
ClientSecret: myorganization.String(
"KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp",
),
DiscoveryURL: "https://{yourDomain}/.well-known/openid-configuration",
},
Name: "oidcIdp",
Domains: []string{
"mydomain.com",
},
DisplayName: myorganization.String(
"OIDC IdP",
),
ShowAsButton: myorganization.Bool(
true,
),
AssignMembershipOnLogin: myorganization.Bool(
false,
),
IsEnabled: myorganization.Bool(
true,
),
},
}
c.Organization.IdentityProviders.Create(
context.TODO(),
request,
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.IdentityProviders.CreateAsync(
new IdpOidcRequest {
Strategy = IdpOidcRequestStrategy.Oidc,
Options = new IdpOidcOptionsRequest {
Type = IdpOidcOptionsTypeEnum.FrontChannel,
ClientId = "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
ClientSecret = "KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp",
DiscoveryUrl = "https://{yourDomain}/.well-known/openid-configuration"
},
Name = "oidcIdp",
Domains = new List<string>(){
"mydomain.com",
}
,
DisplayName = "OIDC IdP",
ShowAsButton = true,
AssignMembershipOnLogin = false,
IsEnabled = true
}
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
import com.auth0.client.myorganization.types.IdpKnownRequest;
import com.auth0.client.myorganization.types.IdpOidcOptionsRequest;
import com.auth0.client.myorganization.types.IdpOidcOptionsTypeEnum;
import com.auth0.client.myorganization.types.IdpOidcRequest;
import com.auth0.client.myorganization.types.IdpOidcRequestStrategy;
import java.util.Arrays;
import java.util.Optional;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().identityProviders().create(
IdpKnownRequest.of(
IdpOidcRequest
.builder()
.strategy(IdpOidcRequestStrategy.OIDC)
.name("oidcIdp")
.options(
Optional.of(
IdpOidcOptionsRequest
.builder()
.type(IdpOidcOptionsTypeEnum.FRONT_CHANNEL)
.clientId("a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d")
.discoveryUrl("https://{yourDomain}/.well-known/openid-configuration")
.clientSecret(Optional.of("KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp"))
.build()
)
)
.domains(
Optional.of(
Arrays.asList("mydomain.com")
)
)
.displayName(Optional.of("OIDC IdP"))
.showAsButton(Optional.of(true))
.assignMembershipOnLogin(Optional.of(false))
.isEnabled(Optional.of(true))
.build()
)
);
}
}from auth0.myorganization import MyOrganizationClient, IdpOidcRequest, IdpOidcOptionsRequest
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.identity_providers.create(
request=IdpOidcRequest(
strategy="oidc",
options=IdpOidcOptionsRequest(
type="front_channel",
client_id="a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
client_secret="KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp",
discovery_url="https://{yourDomain}/.well-known/openid-configuration",
),
name="oidcIdp",
domains=[
"mydomain.com"
],
display_name="OIDC IdP",
show_as_button=True,
assign_membership_on_login=False,
is_enabled=True,
),
)
curl --request POST \
--url https://{tenantDomain}/my-org/v1/identity-providers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "oidcIdp",
"display_name": "OIDC IdP",
"strategy": "oidc",
"show_as_button": true,
"assign_membership_on_login": false,
"domains": [
"mydomain.com"
],
"is_enabled": true,
"options": {
"type": "front_channel",
"client_id": "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
"client_secret": "KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp",
"discovery_url": "https://{yourDomain}/.well-known/openid-configuration"
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/identity-providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'oidcIdp',
'display_name' => 'OIDC IdP',
'strategy' => 'oidc',
'show_as_button' => true,
'assign_membership_on_login' => false,
'domains' => [
'mydomain.com'
],
'is_enabled' => true,
'options' => [
'type' => 'front_channel',
'client_id' => 'a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d',
'client_secret' => 'KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp',
'discovery_url' => 'https://{yourDomain}/.well-known/openid-configuration'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/identity-providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"oidcIdp\",\n \"display_name\": \"OIDC IdP\",\n \"strategy\": \"oidc\",\n \"show_as_button\": true,\n \"assign_membership_on_login\": false,\n \"domains\": [\n \"mydomain.com\"\n ],\n \"is_enabled\": true,\n \"options\": {\n \"type\": \"front_channel\",\n \"client_id\": \"a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d\",\n \"client_secret\": \"KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp\",\n \"discovery_url\": \"https://{yourDomain}/.well-known/openid-configuration\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "con_zW1UHutvkVWSWdCC",
"name": "oidcIdp",
"display_name": "OIDC IdP",
"strategy": "oidc",
"show_as_button": true,
"assign_membership_on_login": false,
"access_level": "full",
"domains": [
"mydomain.com"
],
"is_enabled": true,
"options": {
"type": "front_channel",
"client_id": "client_a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7did",
"discovery_url": "https://{yourDomain}/.well-known/openid-configuration"
},
"attributes": [
{
"sso_field": [
"userName"
],
"user_attribute": "preferred_username",
"description": "優先ユーザー名",
"label": "Preferred username",
"is_required": true,
"is_extra": false,
"is_missing": false
},
{
"sso_field": [
"externalId"
],
"user_attribute": "external_id",
"is_required": true,
"is_extra": true,
"is_missing": false
}
]
}IDプロバイダーを作成
この組織に、指定された設定と詳細を使用して新しいエンタープライズ IDプロバイダーを作成します。
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.create({
strategy: "oidc",
options: {
type: "front_channel",
client_id: "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
client_secret: "KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp",
discovery_url: "https://{yourDomain}/.well-known/openid-configuration",
},
name: "oidcIdp",
domains: [
"mydomain.com",
],
display_name: "OIDC IdP",
show_as_button: true,
assign_membership_on_login: false,
is_enabled: true,
});
}
main();import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.create({
strategy: "oidc",
options: {
type: "front_channel",
client_id: "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
client_secret: "KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp",
discovery_url: "https://{yourDomain}/.well-known/openid-configuration",
},
name: "oidcIdp",
domains: [
"mydomain.com",
],
display_name: "OIDC IdP",
show_as_button: true,
assign_membership_on_login: false,
is_enabled: true,
});
}
main();
package example
import (
context "context"
myorganization "github.com/auth0/myorganization-go/v2"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &myorganization.IdpKnownRequest{
IdpOidcRequest: &myorganization.IdpOidcRequest{
Strategy: myorganization.IdpOidcRequestStrategyOidc,
Options: &myorganization.IdpOidcOptionsRequest{
Type: myorganization.IdpOidcOptionsTypeEnumFrontChannel,
ClientID: "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
ClientSecret: myorganization.String(
"KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp",
),
DiscoveryURL: "https://{yourDomain}/.well-known/openid-configuration",
},
Name: "oidcIdp",
Domains: []string{
"mydomain.com",
},
DisplayName: myorganization.String(
"OIDC IdP",
),
ShowAsButton: myorganization.Bool(
true,
),
AssignMembershipOnLogin: myorganization.Bool(
false,
),
IsEnabled: myorganization.Bool(
true,
),
},
}
c.Organization.IdentityProviders.Create(
context.TODO(),
request,
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.IdentityProviders.CreateAsync(
new IdpOidcRequest {
Strategy = IdpOidcRequestStrategy.Oidc,
Options = new IdpOidcOptionsRequest {
Type = IdpOidcOptionsTypeEnum.FrontChannel,
ClientId = "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
ClientSecret = "KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp",
DiscoveryUrl = "https://{yourDomain}/.well-known/openid-configuration"
},
Name = "oidcIdp",
Domains = new List<string>(){
"mydomain.com",
}
,
DisplayName = "OIDC IdP",
ShowAsButton = true,
AssignMembershipOnLogin = false,
IsEnabled = true
}
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
import com.auth0.client.myorganization.types.IdpKnownRequest;
import com.auth0.client.myorganization.types.IdpOidcOptionsRequest;
import com.auth0.client.myorganization.types.IdpOidcOptionsTypeEnum;
import com.auth0.client.myorganization.types.IdpOidcRequest;
import com.auth0.client.myorganization.types.IdpOidcRequestStrategy;
import java.util.Arrays;
import java.util.Optional;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().identityProviders().create(
IdpKnownRequest.of(
IdpOidcRequest
.builder()
.strategy(IdpOidcRequestStrategy.OIDC)
.name("oidcIdp")
.options(
Optional.of(
IdpOidcOptionsRequest
.builder()
.type(IdpOidcOptionsTypeEnum.FRONT_CHANNEL)
.clientId("a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d")
.discoveryUrl("https://{yourDomain}/.well-known/openid-configuration")
.clientSecret(Optional.of("KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp"))
.build()
)
)
.domains(
Optional.of(
Arrays.asList("mydomain.com")
)
)
.displayName(Optional.of("OIDC IdP"))
.showAsButton(Optional.of(true))
.assignMembershipOnLogin(Optional.of(false))
.isEnabled(Optional.of(true))
.build()
)
);
}
}from auth0.myorganization import MyOrganizationClient, IdpOidcRequest, IdpOidcOptionsRequest
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.identity_providers.create(
request=IdpOidcRequest(
strategy="oidc",
options=IdpOidcOptionsRequest(
type="front_channel",
client_id="a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
client_secret="KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp",
discovery_url="https://{yourDomain}/.well-known/openid-configuration",
),
name="oidcIdp",
domains=[
"mydomain.com"
],
display_name="OIDC IdP",
show_as_button=True,
assign_membership_on_login=False,
is_enabled=True,
),
)
curl --request POST \
--url https://{tenantDomain}/my-org/v1/identity-providers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "oidcIdp",
"display_name": "OIDC IdP",
"strategy": "oidc",
"show_as_button": true,
"assign_membership_on_login": false,
"domains": [
"mydomain.com"
],
"is_enabled": true,
"options": {
"type": "front_channel",
"client_id": "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
"client_secret": "KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp",
"discovery_url": "https://{yourDomain}/.well-known/openid-configuration"
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/identity-providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'oidcIdp',
'display_name' => 'OIDC IdP',
'strategy' => 'oidc',
'show_as_button' => true,
'assign_membership_on_login' => false,
'domains' => [
'mydomain.com'
],
'is_enabled' => true,
'options' => [
'type' => 'front_channel',
'client_id' => 'a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d',
'client_secret' => 'KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp',
'discovery_url' => 'https://{yourDomain}/.well-known/openid-configuration'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/identity-providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"oidcIdp\",\n \"display_name\": \"OIDC IdP\",\n \"strategy\": \"oidc\",\n \"show_as_button\": true,\n \"assign_membership_on_login\": false,\n \"domains\": [\n \"mydomain.com\"\n ],\n \"is_enabled\": true,\n \"options\": {\n \"type\": \"front_channel\",\n \"client_id\": \"a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d\",\n \"client_secret\": \"KzQp2sVxR8nTgMjFhYcEWuLoIbDvUoC6A9B1zX7yWqFjHkGrP5sQdLmNp\",\n \"discovery_url\": \"https://{yourDomain}/.well-known/openid-configuration\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "con_zW1UHutvkVWSWdCC",
"name": "oidcIdp",
"display_name": "OIDC IdP",
"strategy": "oidc",
"show_as_button": true,
"assign_membership_on_login": false,
"access_level": "full",
"domains": [
"mydomain.com"
],
"is_enabled": true,
"options": {
"type": "front_channel",
"client_id": "client_a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7did",
"discovery_url": "https://{yourDomain}/.well-known/openid-configuration"
},
"attributes": [
{
"sso_field": [
"userName"
],
"user_attribute": "preferred_username",
"description": "優先ユーザー名",
"label": "Preferred username",
"is_required": true,
"is_extra": false,
"is_missing": false
},
{
"sso_field": [
"externalId"
],
"user_attribute": "external_id",
"is_required": true,
"is_extra": true,
"is_missing": false
}
]
}承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
- IdP ADFS Request
- IdP Google Workforce Request
- IdP OIDC Request
- IdP Okta Request
- IdP Ping Request
- IdP SAML Request
- IdP Microsoft Azure AD Request
IDプロバイダー固有のオプション。
アイデンティティプロバイダーの名前
1 - 128アイデンティティプロバイダーの種類
adfs, google-apps, oidc, okta, pingfederate, samlp, waad "adfs"IDプロバイダー固有のオプション。
- adfs_server
- fedMetadataXml
Show child attributes
Show child attributes
ホームレルムディスカバリー(HRD)用ドメインの一覧
ログイン画面で使用されるIDプロバイダー名。
1 - 128ログインページにこの接続のボタンを表示できるようにします(新しいエクスペリエンスのみ)。false の場合は、ホームレルムディスカバリー(HRD)でのみ使用できます。
true の場合、ユーザーはログイン時に組織のメンバーになります。
アイデンティティプロバイダーが組織に対して有効な場合は true。
サードパーティアプリケーションが使用できる場合はTrueです。falseの場合、接続が有効になっているファーストパーティアプリケーションのみが使用できます。デフォルトはfalseです。
クロスアプリアクセスリソースアプリケーションの設定。organizationでクロスアプリアクセスリソースアプリケーション機能が有効な場合にのみ存在します。
Show child attributes
Show child attributes
レスポンス
アイデンティティプロバイダーが正常に作成されました。
- IdP ADFS Response
- IdP Google Workforce Response
- IdP OIDC Response
- IdP Okta Response
- IdP Ping Response
- IdP SAML Response
- IdP Microsoft Azure AD Response
IDプロバイダー固有のオプション。
アイデンティティプロバイダーの種類
adfs, google-apps, oidc, okta, pingfederate, samlp, waad "adfs"IDプロバイダーの識別子。
^con_[A-Za-z0-9]{16}$アイデンティティプロバイダーの名前
128ホームレルムディスカバリー(HRD)用ドメインの一覧
ログイン画面で使用されるIDプロバイダー名。
1 - 128ログインページにこの接続のボタンを表示できるようにします(新しいエクスペリエンスのみ)。false の場合は、ホームレルムディスカバリー(HRD)でのみ使用できます。
true の場合、ユーザーはログイン時に組織のメンバーになります。
アイデンティティプロバイダーが組織に対して有効な場合は true。
組織に許可されるアクセスレベル
none, readonly, limited, full この接続の Organization メンバーアクセスレベル。
none, readonly, limited, full サードパーティアプリケーションが使用できる場合はTrueです。falseの場合、接続が有効になっているファーストパーティアプリケーションのみが使用できます。デフォルトはfalseです。
クロスアプリアクセスリソースアプリケーションの設定。organizationでクロスアプリアクセスリソースアプリケーション機能が有効な場合にのみ存在します。
Show child attributes
Show child attributes
IDプロバイダー固有のオプション。
- adfs_server
- fedMetadataXml
Show child attributes
Show child attributes